<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<plugin>

	<extension point="org.eclipse.ui.commands">
      <command name="查询物料库存信息" id="erpIntegrationHandler"/>
      <command name="派生中间件" id="deriveCenterHandler"/>
      <command name="派生MBOM产品" id="deriveMBOMHandler"/>
      <command name="图号申请" id="DrawingNoApplyHandler"/>
	  <!-- <command name="申请物料编码" id="WlbmApplyHandler"/> -->
	  <command id="CodeApplyHandler" name="物料编码申请"/>
	  <command name="DBOM转EBOM" categoryId="com.connor.ml.tcm.outfile.commands.category" id="DBOMtoEBOM"> </command>
	  <command name="依据设计创建物料" id="DesignToPartHandler"/>
	  <command name="标准化审核" id="StandardHandler"/>
	  <command name="编辑节点属性" id="ProcessAttriChangeHandler"/>
      <command name="用户登录设置" id="LoginIPSetHandler"/>
	</extension>
	<extension point="org.eclipse.ui.handlers">
		<handler class="com.connor.jingdiao.handlers.DrawingNoApplyHandler" commandId="DrawingNoApplyHandler"/>
		<!-- <handler class="com.connor.jingdiao.handlers.WlbmApplyHandler" commandId="WlbmApplyHandler"/> -->
		<handler class="com.connor.ml.tcm.outfile.ML_01.DbomTransitionToEbomHandler" commandId="DBOMtoEBOM"> </handler>
		<handler commandId="CodeApplyHandler" class="com.connor.jingdiao.handlers.CodeApplyHandler"/>
		<handler commandId="DesignToPartHandler" class="com.connor.jingdiao.handlers.DesignToPartHandler"/>
		<handler commandId="StandardHandler" class="com.connor.jingdiao.handlers.StandardHandler"/>
		<handler commandId="ProcessAttriChangeHandler" class="com.connor.processAttributeModification.ProcessAttriChangeHandler"/>
      <handler commandId="LoginIPSetHandler" class="com.connor.jingdiao.handlers.LoginIPSetHandler"/>
      <handler class="com.connor.jd.erp.erpIntegrationHandler" commandId="erpIntegrationHandler"/>
      <handler class="com.connor.jd.derive.deriveCenterHandler" commandId="deriveCenterHandler"/>
      <handler class="com.connor.jd.derive.deriveMBOMHandler" commandId="deriveMBOMHandler"/>
	</extension>
	<extension point="org.eclipse.ui.menus">
		<menuContribution locationURI="menu:com.connor.plm.test.menus.sampleMenu?after=additions">
			<command commandId="DrawingNoApplyHandler" style="push"> </command>
			<command commandId="DesignToPartHandler" style="push"> </command>
			<!-- <command commandId="WlbmApplyHandler" style="push">
			</command>
			
			 BOM转换 -->
			<command commandId="DBOMtoEBOM" style="push"/>
			<command commandId="CodeApplyHandler" style="push"> </command>
			<command commandId="StandardHandler" style="push"> </command>
			<command commandId="ProcessAttriChangeHandler" style="push"> </command>
            <command commandId="erpIntegrationHandler" style="push"> </command>
            <command commandId="deriveCenterHandler" style="push"> </command>
            <command commandId="deriveMBOMHandler" style="push"> </command>
            <command commandId="LoginIPSetHandler" style="push"> </command>
		</menuContribution>
		<!--menuContribution locationURI="menu:org.eclipse.ui.main.menu?after=additions">
			<menu id="com.connor.jingdiao.menus" label="精雕菜单">
				<command commandId="DrawingNoApplyHandler" mnemonic="S">
				</command>
			</menu>
		</menuContribution-->
	</extension>
</plugin>
